D4Science Infrastructure - Task #2174

Dataminer and Statistical Manager packages
Feb 08, 2016 03:16 PM - Gianpaolo Coro
Infrastructure: Development, Production

Description

This ticket reports the packages and the software to be installed on the Dataminer and the Statistical Manager machines. Updates to
this ticket will report new packages/software.

##General##
Mono:
https://support.ddscience.org/issues/1368#change-5873
GDAL:

wget http://download.osgeo.org/gdal/1.11.0/gdallll0.zip
unzip gdallllO.zip -d gdallllO

./configure —--with-gdal-config=/usr/local/bin/gdal-config
JAGS:

http://mcmc-jags.sourceforge.net/

R Packages:
data.table
doBy
multcomp
mvtnorm
survival
splines
TH.data
MASS
Matrix
lattice
abind
bayesmix
coda
R2jags
R2WinBUGS
rjags
runjags
abind
coda
maptools
rjags

sp

base

boot
class
cluster
codetools
compiler
datasets
foreign
graphics
grDevices
grid
KernSmooth
lattice
MASS
Matrix
methods
mgcv
nlme
nnet
parallel
rpart
spatial
splines
stats
stats4
survival
tcltk
tools
utils
withr

##ICES pr
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
install.
help (pac
help (pac
help (pac

##FAO pro
install.
install.
install.
install.
install.
install.
install.
require (

ocessest#

packages ("/root/download/Rcpp_0.9.10.tar.gz", repos = NULL, type="source")
packages ("/root/download/plyr_1.8.tar.gz", repos = NULL, type="source")

packages ("stringr")

packages ("/root/download/reshape2_1.2.tar.gz", repos = NULL, type="source")
packages ("/root/download/data.table_1.9.2.tar.gz", repos = NULL, type="source")
packages ("R2HTML")

packages ("multcomp")

packages ("Matrix")

packages ("lattice")

packages ("snow")

packages ("/root/download/RcppEigen_0.3.2.0.tar.gz", repos = NULL, type="source")
packages ("minga")

packages ("/root/download/lme4_1.0-5.tar.gz", repos = NULL, type="source")
packages ("/root/download/doBy_4.5-3.tar.gz", repos
packages ("mvtnorm")

NULL, type="source")

packages ("survival")
packages ("data.table")
kage=splines)
kage=TH.data)
kage=MASS)

cesses##

packages ("RCurl")

packages ("digest")

packages ("/root/download/httr_0.2.tar.gz", repos = NULL, type="source")
packages ("memoise")

packages ("whisker")

packages ("evaluate")

packages ("/root/download/devtools_1.4.1.tar.gz", repos = NULL, type="source")
devtools)

install_github ("rsdmx", "opensdmx")

apt—-get
apt-get
apt—-get
apt-get
install.
install.
require (

update

install libgdall-dev
install libgeos-dev
install libspatialite-dev
packages ("rgdal")
packages ("rgeos")
devtools)

install_github ("RFigisGeo", "openfigis")

##Knitr##
install.p
devtools:
devtools:
devtools:
devtools:
devtools:
devtools:
—>Install
install.p

ackages ('knitr', repos = c('http://yihui.name/xran', 'http://cran.rstudio.org'))
:install_github ('HenrikBengtsson/R.methodsS3')

:install_github ('HenrikBengtsson/R.oo'")

:install_github ('eddelbuettel/digest"')

:install_github ('HenrikBengtsson/R.utils")

:install_github ('HenrikBengtsson/R.cache')

:install_github ('christophergandrud/repmis')

utf8x latex packages

ackages ("rworldmap", repos="http://R-Forge.R-project.org")
wget https://cran.r-project.org/src/contrib/spam_1.3-0.tar.gz
install.packages('./spam_1.3-0.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/maps_3.0.1.tar.gz
install.packages('./maps_3.0.1.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/fields_8.3-5.tar.gz
install.packages ('./fields_8.3-5.tar.gz', repos = NULL, type="source")
wget http://download.r-forge.r-project.org/src/contrib/rworldmap_1.3-4.tar.gz
install.packages ('./rworldmap_1.3-4.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/highlight_0.4.7.tar.gz
install.packages ('./highlight_0.4.7.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/Rcpp_0.12.2.tar.gz
install.packages('./Rcpp_0.12.2.tar.gz', repos = NULL, type="source")
devtools::install_github ('hadley/pryr')

devtools::install_github ('cran/RColorBrewer"')

wget http://cran.jellyfish.lol/src/contrib/dichromat_2.0-0.tar.gz
install.packages ('./dichromat_2.0-0.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/colorspace_1l.2-6.tar.gz
install.packages ('./colorspace_l.2-6.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/munsell_0.4.2.tar.gz
install.packages('./munsell_0.4.2.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/labeling_0.3.tar.gz
install.packages ('./labeling_0.3.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/scales_0.3.0.tar.gz
install.packages ('./scales_0.3.0.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/gtable_0.1.2.tar.gz
install.packages ('./gtable_0.1.2.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/ggplot2_2.0.0.tar.gz
install.packages('./ggplot2_2.0.0.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/jsonlite_0.9.19.tar.gz
install.packages('./jsonlite_0.9.19.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/magrittr_1.5.tar.gz
install.packages ('./magrittr_1.5.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/gridExtra_2.0.0.tar.gz
install.packages ('./gridExtra_2.0.0.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/viridis_0.3.1.tar.gz
install.packages('./viridis_0.3.1l.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/base6denc_0.1-3.tar.gz
install.packages ('./base6denc_0.1-3.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/htmltools_0.2.6.tar.gz
install.packages ('./htmltools_0.2.6.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/htmlwidgets_0.5.tar.gz
install.packages ('./htmlwidgets_0.5.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/plotly_2.0.16.tar.gz
install.packages('./plotly_2.0.16.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/mapdata_2.2-5.tar.gz
install.packages ('./mapdata_2.2-5.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/mapplots_1l.5.tar.gz
install.packages ('./mapplots_1l.5.tar.gz', repos = NULL, type="source")
->install the netcdf-bin linux package

wget https://cran.r-project.org/src/contrib/ncdf_1.6.9.tar.gz
install.packages('./ncdf_1.6.9.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/mnormt_1.5-3.tar.gz
install.packages ('./mnormt_1.5-3.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/numDeriv_2014.2-1.tar.gz
install.packages ('./numDeriv_2014.2-1.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/sn_1.3-0.tar.gz
install.packages('./sn_1.3-0.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/mclust_b5.1.tar.gz
install.packages ('./mclust_5.1.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/tclust_1.2-3.tar.gz
install.packages ('./tclust_1.2-3.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/modeltools_0.2-21.tar.gz
install.packages ('./modeltools_0.2-21.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/flexmix_2.3-13.tar.gz
install.packages ('./flexmix_2.3-13.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/prabclus_2.2-6.tar.gz
install.packages ('./prabclus_2.2-6.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/diptest_0.75-7.tar.gz
install.packages ('./diptest_0.75-7.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/DEoptimR_1.0-4.tar.gz
install.packages('./DEoptimR_1.0-4.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/robustbase_0.92-5.tar.gz
install.packages ('./robustbase_0.92-5.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/kernlab_0.9-22.tar.gz
install.packages ('./kernlab_0.9-22.tar.gz', repos = NULL, type="source")
wget http://cran.jellyfish.lol/src/contrib/trimcluster_0.1-2.tar.gz
install.packages ('./trimcluster_0.1-2.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/fpc_2.1-10.tar.gz
install.packages('./fpc_2.1-10.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/RJISONIO_1.3-0.tar.gz
install.packages ('./RJSONIO_1.3-0.tar.gz', repos = NULL, type="source")
require (devtools)

install_github ('rCharts', 'ramnathv')

wget https://cran.r-project.org/src/contrib/cowplot_0.6.0.tar.gz
install.packages ('./cowplot_0.6.0.tar.gz', repos = NULL, type="source")
require (devtools)

install_github ("IRDTunaAtlas", "juldebar")

Subtasks:

Task # 3131: Create a suitable R environment on statistical-pre.d4science.org

Closed

History

#1 - Feb 08, 2016 03:17 PM - Gianpaolo Coro

Latest packages:

##Absence records##

wget https://cran.r-project.org/src/contrib/DBI_0.3.1l.tar.gz
install.packages('./DBI_0.3.1.tar.gz', repos = NULL, type="source")

wget https://cran.r-project.org/src/contrib/RPostgreSQL_0.4.tar.gz
install.packages ('./RPostgreSQL_0.4.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/maptools_0.8-37.tar.gz
install.packages ('./maptools_0.8-37.tar.gz', repos = NULL, type="source")
wget https://cran.r-project.org/src/contrib/sp_1l.2-1.tar.gz
install.packages('./sp_l.2-1.tar.gz', repos = NULL, type="source")
install.packages ("raster", repos="http://R-Forge.R-project.org")

#VPA Workflow

install.packages ('xtable')
install.packages ('reshape')
install_github ("FLCore", "flr")
install_github ("FLad4a", "flr")
install.packages ('kobe')
install.packages ('shiny"')

#2 - Feb 15,2016 03:41 PM - Gianpaolo Coro

- Status changed from New to In Progress

#MONO Installation (#2173)
on Ubuntu 12.04.5 LTS, the following two packages are required to run EwWECmd.exe

mono-runtime
libmono-microsoft-visualbasicl0.0-cil

They can be installed, as root, with: apt-get install mono-runtime libmono-microsoft-visualbasicl0.0-cil

#3 - Feb 16, 2016 05:41 PM - Andrea Dell'’Amico
The FLada R package needs the following debs:

- gsl-bin
- libgslO-dev

#4 - Feb 18, 2016 01:45 AM - Andrea Dell'Amico
- % Done changed from 0 to 80

- Infrastructure Production added
https://redmine.dev.d4science.org/issues/2173

Those R packages and their dependencies are installed on all the dataminer (dev and prod) and all the statistical manager nodes.

#5 - Feb 25, 2016 12:37 PM - Gianpaolo Coro
- % Done changed from 80 to 0

#Additional Package for VPA Workflow
install.packages('ncdf4')

#6 - Feb 29, 2016 02:56 PM - Andrea Dell'Amico

Can linstall it on all the servers? dataminer prod/dev, statistical prod/dev ?

#7 - Feb 29, 2016 03:19 PM - Gianpaolo Coro

They are meant for the next release/pre-release.

#8 - Mar 09, 2016 09:04 PM - Pasquale Pagano

- Tracker changed from Support to Task

#9 - Apr 08, 2016 12:08 PM - Gianpaolo Coro

#Packages for 12S processes
install.packages("readxl")

#10 - Apr 21, 2016 11:24 AM - Andrea Dell'Amico

New requests for packages on the statistical manager (and dataminer too?):

— lubridate
- dplyr

- tidyr

- gam

- rgl

- readxl

#11 - Apr 21, 2016 11:31 AM - Gianpaolo Coro

Hi Andrea, the packages should be aligned between StatMan and Dataminer, because the latter is going to substitute the former in the next months.
#12 - Apr 21, 2016 01:22 PM - Andrea Dell'Amico
Gianpaolo Coro wrote:

Hi Andrea, the packages should be aligned between StatMan and Dataminer, because the latter is going to substitute the former in the next

months.

Right, | forgot that all the statistical and dataminer playbooks share the same R packages list (there are two separate files actually, one for the
production servers and one for the devel/preprod, but they are identical right now).

#13 - Apr 21, 2016 01:26 PM - Andrea Dell'Amico

| see that the rgl package needs the GL include files. All the other new packages have just been installed on the production statistical managers.

#14 - Apr 21, 2016 11:46 PM - Andrea Dell'Amico

The statistical manager nodes now have all the new modules installed.
#15 - Apr 27, 2016 06:36 PM - Gianpaolo Coro
Newly requested are:

install.packages ("geosphere")
install.packages ("shapefiles")

#16 - Apr 27, 2016 06:45 PM - Andrea Dell'Amico

Questions:

e Do they need to be installed on the rstudio servers too?
e Do you want them installed on the dataminer servers immediately? | just updated the statistical-manager to satisfy the request arrived by email.
#17 - Apr 27, 2016 06:53 PM - Gianpaolo Coro

Let me explain the approach | suggest: the packages listed here should be prepared for being installed on the StatMan and Dataminer services (not
on RStudio, unless explicitly requested) in the production environments.

In other words, they should be only added to the installation scripts.

The scripts should be run only when requested by a release activity.

| add the packages inhere after having already installed and checked them on the development machines, that's why | report the exact command
instead of the simple package names.

#18 - Apr 27, 2016 06:56 PM - Andrea Dell'Amico
OK.

#19 - Jun 07, 2016 12:16 PM - Gianpaolo Coro

install.packages("rmarkdown")

#20 - Jun 07, 2016 05:18 PM - Gianpaolo Coro

The pandoc package for Linux is required too.

#21 - Jun 07, 2016 06:49 PM - Andrea Dell'Amico

Added both rmarkdown and pandoc to the list of packages. They will be installed at the next upgrade, or the next playbook run.
#22 - Jun 08, 2016 12:41 PM - Gianpaolo Coro

The following python packages are required:

numpy, matplotlib, psycopg2, scipy, scikit-learn, networkx, pandas, igraph

#23 - Jun 08, 2016 01:20 PM - Andrea Dell'Amico

They are the same listed on #3970 but spark, for which I'm waiting for an answer.

#25 - Jun 09, 2016 05:46 PM - Gianpaolo Coro
install.packages("igraph")

#26 - Jun 13, 2016 04:56 PM - Gianpaolo Coro
I have just updated the Dataminer installation Wiki page with the following requirement for vessels data analysis algorithms:
download the file following file (

http://thredds.research-infrastructures.eu/thredds/fileServer/public/netcdf/gebco_08_OCEANS_CLIMATOLOGY_METEOROLOGY_ATMOSPHERE .
nc) under the "ecocfg" folder and rename it as "gebco_08.nc"

This is needed to be added to the installation process, although the file is quite large.
#27 - Jul 06, 2016 03:10 PM - Andrea Dell'Amico
Gianpaolo Coro wrote:

The following python packages are required:

numpy, matplotlib, psycopg2, scipy, scikit-learn, networkx, pandas, igraph

Those have been installed on all the dataminer servers.

#28 - Jul 06, 2016 04:55 PM - Gianpaolo Coro

install.packages ("curl")
install.packages ("caret")

#29 - Jul 06, 2016 11:11 PM - Gianpaolo Coro

install.packages("httr")
install.packages("XML")

#30 - Jul 18,2016 12:22 PM - Gianpaolo Coro

Postgres and PostGIS clients are required (have been already installed on dataminer1-d):

apt-get install postgresqgl-client
http://thredds.research-infrastructures.eu/thredds/fileServer/public/netcdf/gebco_08_OCEANS_CLIMATOLOGY_METEOROLOGY_ATMOSPHERE_.nc
http://thredds.research-infrastructures.eu/thredds/fileServer/public/netcdf/gebco_08_OCEANS_CLIMATOLOGY_METEOROLOGY_ATMOSPHERE_.nc

apt-get install postgis

#31 - Jul 21, 2016 02:36 PM - Gianpaolo Coro

install.packages ("gdata")

#32 - Jul 21, 2016 07:37 PM - Andrea Dell'’Amico
All added to the playbook lists.

#33 - Aug 31, 2016 02:26 PM - Gianpaolo Coro

install.packages("earth")

#34 - Sep 01, 2016 11:11 AM - Gianpaolo Coro

install.packages("plotrix")

#35 - Sep 09, 2016 04:35 PM - Gianpaolo Coro
install.packages("igraph")

#36 - Oct 14, 2016 11:39 AM - Gianpaolo Coro

install_github("flr/FLCore")
install_github("flr/FLash")
install_github("fl/FLAssess")
install_github("flr/ggplotFL")
install.packages("GA")

#37 - Feb 07,2017 09:36 AM - Gianpaolo Coro

install.packages("kobe")
install_github("flr/FLRDynState")
install_github("flr/FLBEIA")

#38 - Mar 08, 2017 11:28 AM - Gianpaolo Coro

install.packages("rstan")

#39 - Mar 14, 2017 11:08 AM - Gianpaolo Coro
install.packages("doMC")

#40 - Mar 14, 2017 03:24 PM - Gianpaolo Coro

install.packages("mefa4")

#41 - Apr 27,2017 05:11 PM - Gianpaolo Coro

install.packages("testit")

#42 - May 23, 2017 11:34 AM - Gianpaolo Coro

- Status changed from In Progress to Closed

Since this update is going to become fully automatic, the list of packages will be maintained on SVN only:

https: //svn d4SC|ence research- mfrastructures eu/qcube/trunk/data analv3|s/RConf|quratlon/RPackaqesManaqement/r cran_pkgs. txt

https://svn.d4science. research mfrastructures eu/g cube/trunk/data analyss/RConﬂg uratlon/RPackag esManagement/r glthub p kgs txt
https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-analysis/RConfiguration/RPackagesManagement/r_cran_pkgs.txt
https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-analysis/RConfiguration/RPackagesManagement/r_deb_pkgs.txt
https://svn.d4science.research-infrastructures.eu/gcube/trunk/data-analysis/RConfiguration/RPackagesManagement/r_github_pkgs.txt
http://www.tcpdf.org

